import { Meta, Canvas } from "@storybook/blocks";
import * as ComponentStories from "./my-missions-overview.stories";

<Meta of={ComponentStories} name="Docs" />

# My Missions Overview

My Missions Overview Page showing an overview of the customer's missions.

## Translations for Filters

```json
{
    "assignmentType": {
        "placeholder": "Einsatztyp",
        "values": {
            "service": "Reparatur",
            "maintenance": "Wartung",
            "service_maintenance": "Reparatur und Wartung"
        }
    },
    "status": {
        "placeholder": "Status",
        "values": {
            "MISSION_COMPLETED": "Abgeschlossen",
            "MISSION_CREATED": "Angelegt",
            "MISSION_PLANNED": "Einsatz geplant",
            "MISSION_CONFIRMED": "Bestätigt",
            "MISSION_PROPOSED": "Avisiert",
            "MISSION_TECHNICIAN_SCHEDULED": "Techniker geplant"
        }
    },
    "equipment": {
        "placeholder": "Maschine",
        "searchPlaceholder": "Nach Name oder Nummer suchen"
    },
    "today": "Heute"
}
```

## Translations for Content

```json
{
    "assignmentType": {
        "column": "Einsatztyp",
        "values": {
            "service": "Reparatur",
            "maintenance": "Wartung",
            "service_maintenance": "Reparatur und Wartung"
        }
    },
    "status": {
        "column": "Status",
        "values": {
            "MISSION_COMPLETED": "Abgeschlossen",
            "MISSION_CREATED": "Angelegt",
            "MISSION_PLANNED": "Einsatz geplant",
            "MISSION_CONFIRMED": "Bestätigt",
            "MISSION_PROPOSED": "Avisiert",
            "MISSION_TECHNICIAN_SCHEDULED": "Techniker geplant"
        }
    },
    "date": {
        "column": "Einsatzdatum",
        "dateFormat": "DD.MM.YYYY HH:mm"
    },
    "equipmentName": {
        "column": "Maschine & Maschinen-NR. /Software & Produkt-NR."
    },
    "missionNumber": {
        "column": "Einsatznummer"
    },
    "detailUrl": {
        "column": ""
    },
    "sisCaseId": {
        "column": "Fallnummer"
    }
}
```

<Canvas of={ComponentStories.Default}></Canvas>
